---
title: "Gets specific Stock Adjustment Reason by unique id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-stockadjustmentreasons-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets specific Stock Adjustment Reason by unique id

`GET` `/stockadjustmentreasons/{id}`

Operation ID: `get-stockadjustmentreasons-id`

Gets specific Stock Adjustment Reason by unique id

## Path parameters

- `id` (integer, int32, required) - Stock Adjustment Reason id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Stock Adjustment Reason
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Stock Adjustment Reason not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /stockadjustmentreasons/{id}:
    get:
      tags:
        - stockadjustmentreasons
      summary: Gets specific Stock Adjustment Reason by unique id
      description: Gets specific Stock Adjustment Reason by unique id
      operationId: get-stockadjustmentreasons-id
      parameters:
        - name: id
          in: path
          description: Stock Adjustment Reason id
          required: true
          schema:
            type: integer
            description: Stock Adjustment Reason id
            format: int32
            example: 1
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Stock Adjustment Reason
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/StockAdjustmentReason"
              example:
                id: 0
                name: string
                disabled: true
                created_on: string
                modified_on: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Stock Adjustment Reason not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    StockAdjustmentReason:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Stock Adjustment Reason Id.
          format: int32
        name:
          type: string
          description: Stock Adjustment Reason name
          nullable: true
        disabled:
          type: boolean
          description: Stock Adjustment Reason disabled flag
        created_on:
          type: string
          description: Stock Adjustment Reason creation date and time
          format: date-time
        modified_on:
          type: string
          description: Stock Adjustment Reason modification date and time
          format: date-time
      additionalProperties: false
      description: Stock Adjustment Reason Model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
```
